4 Replies Latest reply on Feb 18, 2015 6:23 PM by MichaelKlinglesmith

    Eclipse fails to lanunch GDB

    MichaelKlinglesmith

      I have just worked through the "Intel Edison Native Application Guide" and am stuck at the end of chapter 3.

       

      I am using a new computer with a fresh Ubuntu 14.04 installation.

      Many things went well.  I have eclipse installed and connected to my Edison.  I can build and run a program from the Ubuntu machine on to the Edison.

       

      When I try to run the debugger, I get this error "Could not determine GDB version using command: /usr/bin/gdb --version.  Under details it gives this:

      Could not determine GDB version using command: /usr/bin/gdb --version

      Fatal Python error: Py_Initialize: Unable to get the locale encoding

      ImportError: No module named 'encodings'

       

      On the Edison machine I see the gdbserver has been started correctly, the error is back on the ubuntu machine.

       

      When I run /usr/bin/gdb --version at a shell prompt it works just fine.

       

      Any Eclipse experts?